### Signal

# Clutter Gesture::may-recognize

#### Declaration

    gboolean
    may_recognize (
      ClutterGesture* self,
      gpointer user_data
    )

#### Description [src]

The ::may-recognize signal is emitted if the gesture might become active and move to RECOGNIZING. Its purpose is to allow the implementation or a user of a gesture to prohibit the gesture from starting when needed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Return value

Type: `gboolean`

`TRUE` if the gesture may recognize, `FALSE` if it may not.